Skip to content
Start here

Get URL Intelligence

intel.urls.get(URLGetParams**kwargs) -> URL
GET/accounts/{account_id}/intel/url

Gets security information about a URL, including content categories and risk types. The URL must be provided as a query parameter.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Intel WriteIntel Read
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
url: str

The URL to look up.

ReturnsExpand Collapse
class URL:
content_categories: List[ContentCategory]

Content categories associated with this URL.

id: Optional[int]
name: Optional[str]
source_id: Optional[int]
super_category_id: Optional[int]
full_url: str

The full URL that was looked up.

hostname: str

The hostname of the URL.

risk_type: List[RiskType]

Security risk types associated with this URL.

id: Optional[int]
name: Optional[str]
source_id: Optional[int]
super_category_id: Optional[int]
url_path: str

The path component of the URL.

Get URL Intelligence

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
url = client.intel.urls.get(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    url="url",
)
print(url.content_categories)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "content_categories": [
      {
        "id": 155,
        "name": "Technology",
        "source_id": 1,
        "super_category_id": 26
      }
    ],
    "full_url": "https://example.com/path",
    "hostname": "example.com",
    "risk_type": [
      {
        "id": 0,
        "name": "name",
        "source_id": 0,
        "super_category_id": 0
      }
    ],
    "url_path": "/path"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "content_categories": [
      {
        "id": 155,
        "name": "Technology",
        "source_id": 1,
        "super_category_id": 26
      }
    ],
    "full_url": "https://example.com/path",
    "hostname": "example.com",
    "risk_type": [
      {
        "id": 0,
        "name": "name",
        "source_id": 0,
        "super_category_id": 0
      }
    ],
    "url_path": "/path"
  }
}